(function($) {
	$.fn.wySlide1 = function(settings){
	  settings = jQuery.extend({
		   intervalTime : 5,
			 fontSize: 14,
			 fontWeight: "bold",
			 textHeight: 30,
			 textPaddingX: 20,
			 textPaddingY: 5
	  },settings);
		if (($(this).find("img").length==0) || ($(this).find("a").length==0)) return false;
		var $obj=$(this);
		var imgWidth=$obj.find("img:first").width();
		var imgHeight=$obj.find("img:first").height();
		var imgCount=$obj.find("img").length;
		var selector=$obj.selector;
		var timer=null;
		var current=0;
		$(this).css({width:imgWidth,height:imgHeight,position:"relative"});
		$(this).wrapInner('<div id="tthide"></div>');
		var source=$(selector+" #tthide");
		var sselector=source.selector;
		source.css({display:"none"});
		$(this).append('<a id="wySlide1A" target="_blank"><img id="wySlide1Img" width="'+imgWidth+'" height="'+imgHeight+'" border="0"></a>');
		$(selector+" #wySlide1Img").css({position:"absolute",width:imgWidth,height:imgHeight,left:0,top:0,"z-index":"1"});
		$(this).append('<div id="mask"></div>');
		$(selector+" #mask").css({position:"absolute",width:imgWidth,height:settings.textHeight+10+"px",left:0,bottom:0,"z-index":"2","opacity":0.4,"background-color":"#000"});
		$(this).append('<div id="title"></div>');
		$(selector+" #title").css({position:"absolute",width:imgWidth,height:settings.textHeight+"px",left:0,bottom:0,"z-index":"3","font-size":settings.fontSize+"px","font-weight":settings.fontWeight,"line-height":settings.textHeight+"px",color:"#FFF",padding:settings.textPaddingY+"px "+settings.textPaddingX+"px"});
		if (imgCount>1) {
			$(this).append('<div id="buttons"></div>');
			for (var i=0;i<imgCount;i++) {
				$(selector+" #buttons").append('<div class="button"></div>');
			}
			var h=$(selector+" #buttons .button:eq(0)").height();
			$(selector+" #buttons").css({position:"absolute",right:10,bottom:Math.floor((settings.textHeight+10-h)/2),"z-index":"4"});
			$(selector+" #buttons .button").mouseover(function(e) {
				if (timer) window.clearTimeout(timer);
				showslide($(this).index());
			});
		}
		$(this).append('<div class="next"></div>');
		var h=$(selector+" .next").height();
		$(selector+" .next").css({position:"absolute",right:settings.textPaddingX,top:Math.floor((imgHeight-h)/2),"z-index":4,"cursor":"pointer"}).click(function(){
			n=current;
			n++;
			if (n>=imgCount) n=0;
			showslide(n);
		});
		$(this).append('<div class="prev"></div>');
		var h=$(selector+" .prev").height();
		$(selector+" .prev").css({position:"absolute",left:15,top:Math.floor((imgHeight-h)/2),"z-index":4,"cursor":"pointer"}).click(function(){
			n=current;
			n--;
			if (n<0) n=imgCount-1;
			showslide(n);
		});
		function showslide(n) {
			current=n;
			if (timer) window.clearTimeout(timer);
			$(selector+" #wySlide1A").attr("href",$(sselector+" a:even").eq(n).attr("href"));
			$(selector+" #wySlide1Img").attr("src",$(sselector+" img").eq(n).attr("src"));
			$(selector+" #title").text($(sselector+" a:not(:has('img'))").eq(n).text());
			$(selector+" #buttons .button_current").removeClass("button_current").addClass("button");
			$(selector+" #buttons .button").eq(n).removeClass("button").addClass("button_current");
			n++;
			if (n>=$(sselector+" img").length) n=0;
			if (settings.intervalTime>0)
				timer=window.setTimeout(function(){showslide(n)},settings.intervalTime*1000);
		}
		
		showslide(0);
		$(this).show();
	};
})(jQuery);